EDIT - bug #6948
OAIPMH service broken by NPE with verb=Listldentifiers & set=taxon

09/14/2017 04:33 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 4.10

Severity: normal Found in Version:

Description

taxon/oai?verb=Listldentifiers&metadataPrefix=0ai_dc&set=taxon

this problem also accounts to other service requests and seems to be caused by a broken dozer configuration

Related issues:
Is duplicate of EDIT - bug #6324: fix dozer mapping after removal of synonym ... Closed

Associated revisions

Revision 224d902d - 09/15/2017 10:58 AM - Andreas Kohlbecker

fix #6948 ref #6324 commenting and removing broken dozer mapping for synonymRelations

History

#1 - 09/14/2017 04:35 PM - Andreas Kohlbecker

- Description updated

#2 - 09/15/2017 10:20 AM - Andreas Kohlbecker

Caused by:

org.springframework.web.util.NestedServletException: Request processing failed; nested exception is org.dozer.

MappingException:

java.lang.ClassNotFoundException: eu.etaxonomy.cdm.model.taxon.SynonymRelationship

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet. java:981)
at org.springframework.web.servlet.FrameworkServlet.doGet (FrameworkServlet.java:860)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:687)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet. java:845)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

eclipse. jetty.servlet.ServletHolder.handle (ServletHolder. java:841)
eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1634)
#3 - 09/15/2017 10:31 AM - Andreas Kohlbecker

FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:316
access.intercept.FilterSecurityInterceptor.invoke (FilterSecurityInterc
access.intercept.FilterSecurityInterceptor.doFilter (FilterSecurityInte
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330
access.ExceptionTranslationFilter.doFilter (ExceptionTranslationFilter.
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330
session.SessionManagementFilter.doFilter (SessionManagementFilter. java:
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330

authentication.AnonymousAuthenticationFilter.doFilter (AnonymousAuthent

- Is duplicate of bug #6324: fix dozer mapping after removal of synonym relations and after using TaxonNode added

#4 - 09/15/2017 10:59 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|224d902d745b991c4eal3bce9951feac1bb88b565.

#5 - 09/15/2017 11:00 AM - Andreas Kohlbecker

- Target version changed from Unassigned CDM tickets to Release 4.10

#6 - 09/22/2017 03:44 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

The NPE is suppressed by the fix the duplicate issue can not yet be closed since the its solution requires additional work.
